Summary:	X509 Object Handling in PERL
Name: 		perl-OpenCA-X509
Version: 	0.9.57
Release:	%mkrel 4
License:        BSD-like
Group: 		Development/Perl
URL:		http://www.openca.org
Source:		OpenCA-X509-%{version}.tar.gz
Requires:	openssl 
#Requires:	perl-Digest-MD5
#Requires:	perl-OpenCA-OpenSSL
#Requires:	perl-X500-DN
BuildRequires:	perl-X500-DN
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module provides an object-oriented interface for X509
managing. Supported operations are oriented to parsing X509s, the
module uses the OpenCA-OpenSSL module for accessing the objects
internals.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-X509-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/OpenCA/prova.pl

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE prova.pl
%{perl_vendorlib}/OpenCA/X509.pm
%{perl_vendorlib}/OpenCA/X509.pod
%{_mandir}/*/*


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.57-4mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.57-4mdv2008.0
+ Revision: 64779
- sync the tarballs from latest openca package


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.57-3mdv2007.0
+ Revision: 131149
- Import perl-OpenCA-X509

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.57-3mdk
- don't ship the MANIFEST file

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.57-2mdk
- rebuild

* Thu Sep 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.57-1mdk
- 0.9.57

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.56-2mdk
- new tarball, same version

* Wed Jul 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.56-1mdk
- 0.9.56

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.55-1mdk
- 0.9.55

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.54-2mdk
- built for cooker
- fix some deps (Stefan van der Eijk)

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.54-1mdk
- 0.9.54

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.53-1mdk
- 0.9.53

* Thu Apr 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.52-1mdk
- initial package

